Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20287

Description

It looks like in current QGIS master, QGIS server, does not correctly replace the numeric code of a value relation widget with the

corresponding text. This used to work in an older version of QGIS server. Seems to be a regression.

In the attached demo-project there is a value relation defined on layer "Langsamverkehrszonen", attribute "status_t30_begegnungszone".

It is properly displayed in QGIS desktop, but QGIS server just delives the numeric code. It should deliver the text from the value relation.

Associated revisions

Revision 1e9774fd - 2015-02-13 05:26 PM - Jürgen Fischer

qgis server fixes:

    -  support edit types based on edit widgets (adds qgis_gui dependency; fixes #12091)

    -  show null values (fixes #12114)

    -  only quote non-numeric non-null values in feature info

    -  fix crash on exit

    -  remove obsolete parser method and debug output

History

#1 - 2015-01-29 06:32 AM - Giovanni Manghi

- Affected QGIS version changed from 2.6.0 to master

- Priority changed from High to Severe/Regression

#2 - 2015-02-13 01:59 AM - Jürgen Fischer

- Assignee changed from Marco Hugentobler to Jürgen Fischer

#3 - 2015-02-13 08:31 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"1e9774fdcf3fca2f9d1fa9165f874e7f450c34ff".
